# VPC Flows # Tokens ## Generate authentication token for VPC flow logs export. **post** `/accounts/{account_id}/mnm/vpc-flows/token` Generate authentication token for VPC flow logs export. ### Path Parameters - `account_id: string` ### Returns - `errors: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional object { pointer }` - `pointer: optional string` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional object { pointer }` - `result: string` Authentication token to be used for VPC Flows export authentication. - `success: true` Whether the API call was successful - `true` ### Example ```http curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/mnm/vpc-flows/token \ -X POST \ -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \ -H "X-Auth-Key: $CLOUDFLARE_API_KEY" ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": "JWE/JWT auth token", "success": true } ``` ## Domain Types ### Token Create Response - `TokenCreateResponse = string` Authentication token to be used for VPC Flows export authentication.